let fs = require('fs')

function embedSvg(src, dst) {
	fs.readFile(src, 'utf8', function(err, data) {
		if(err) throw err;
		data = data.replace(/<\?xml[^\?]*\?>[\r\n]*/g, '');
		data = data.replace(/<svg[^>]*>[\r\n]*/g, '');
		data = data.replace(/<\/svg>[\r\n]*/g, '');
		
		data = data.replace(/>\s*<desc[^>]*>/g, ' ');
		data = data.replace(/<\/desc>/g, '>');
		data = data.replace(/&quot;/g, '"');
		
		data = "(<any>window)['"+src+"'] = `" + data + "`;";
		
		fs.writeFile(dst, data, function(err) {
			if(err) throw err;
		});
	});
}

embedSvg('climate-zones-map.svg', 'climate-zones-map.svg.ts');
